## type-conv 1.7.1

=== Makefile ===
.PHONY: all
all:
	@cd lib && $(MAKE)

.PHONY:	install
install:
	@cd lib && $(MAKE) $@

.PHONY:	uninstall
uninstall:
	@cd lib && $(MAKE) $@

.PHONY:	clean
clean:
	@cd lib && $(MAKE) clean

=== lib/Makefile ===
RESULT = type-conv

OCAMLMAKEFILE = ../OCamlMakefile
OCAMLFLAGS = -w Ae

INCDIRS = +camlp4

TRASH = pa_type_conv.cmi pa_type_conv.cmo pa_type_conv.annot

all: pa_type_conv.cmi pa_type_conv.cmo

LIBINSTALL_FILES = pa_type_conv.cmi pa_type_conv.cmo

install:	libinstall
uninstall:	libuninstall

-include $(OCAMLMAKEFILE)

=== debian/changelog ===
type-conv (1.7.1-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - remove Stefano from Uploader
    - bump Standards-Version to 3.8.4 (no changes)
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Jun 2010 22:15:51 +0200

type-conv (1.6.10-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 08 Nov 2009 23:00:32 +0100

type-conv (1.6.7-3) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Add debian/gbp.conf to force using pristine-tar

  [ Stéphane Glondu ]
  * Switch packaging to dh-ocaml 0.9
  * debian/control:
    - add myself to Uploaders
    - move to Section ocaml
    - update Standards-Version to 3.8.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2009 21:32:12 +0200

type-conv (1.6.7-2) unstable; urgency=low

  * upload to unstable
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet, build-dep on the
    minimum dh-ocaml implementing that
  * debian/control: increase build-dep versions to ensure buildability in
    unstable

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 26 Feb 2009 22:33:54 +0100

type-conv (1.6.7-1) experimental; urgency=low

  * New Upstream Version
  * rebuild against OCaml 3.11
    - strengthen build-deps on ocaml, for experimental builds
    - add build-dep on dh-ocaml (for the CDBS class has been moved there)
  * debian/control: bump Standards-Version to 3.8.0 (no changes needed)
  * debian/copyright: point to the proper file under
    /usr/share/common-licenses/ (thanks Lintian!)
  * update homepage (both in control and watch files)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 02 Feb 2009 17:41:55 +0100

type-conv (1.5.0-3) unstable; urgency=low

  * uploading to unstable

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 09 May 2008 10:43:41 +0200

type-conv (1.5.0-2) experimental; urgency=low

  * add missing build-dep on camlp4-extra (fix FTBFS)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 09 May 2008 10:43:31 +0200

type-conv (1.5.0-1) experimental; urgency=low

  * Initial release (Closes: #479162)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 04 May 2008 14:49:32 +0200

=== debian/control ===
Source: type-conv
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Sylvain Le Gall <gildor@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 ocaml-nox (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 camlp4,
 camlp4-extra,
 dh-ocaml (>= 0.9)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/type-conv.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/type-conv.git
Homepage: http://www.ocaml.info/home/ocaml_sources.html#type-conv

Package: libtype-conv-camlp4-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: support library for OCaml preprocessor type conversions
 The type-conv library factors out functionality needed by different
 CamlP4 extensions that generate code from type specifications.
 .
 CamlP4 extensions adding support for some trailing "with foo" (e.g.
 "with sexplib" provided by sexplib, and "with bin_io" provided by
 bin-prot) after type declaration can rely on type-conv.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/ocaml.mk

LIB_NAME = type-conv
PKG_NAME = lib$(LIB_NAME)-camlp4-dev
DESTDIR = $(CURDIR)/debian/$(PKG_NAME)$(OCAML_STDLIB_DIR)

DEB_MAKE_BUILD_TARGET = all
DEB_MAKE_INSTALL_TARGET = install OCAMLFIND_INSTFLAGS="-destdir $(DESTDIR)"

OCAML_DHOCAML_FLAGS := --runtime-map=libtype-conv-camlp4-dev

build/$(PKG_NAME)::
	mkdir -p $(DESTDIR)

=== debian/watch ===
version=3
opts=filenamemangle=s/.*-(.*)\.tar\.gz/type-conv-$1.tar.gz/ \
	http://www.ocaml.info/home/ocaml_sources.html \
	http://hg.ocaml.info/release/type-conv/archive/release-(.*)\.tar\.gz

## type-conv 2.0.2

=== debian/changelog ===
type-conv (2.0.2-1) unstable; urgency=low

  * New upstream release
    - compatible with OCaml 3.12.0 (Closes: #586390)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 14:30:49 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  camlp4,
  camlp4-extra,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/type-conv.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/type-conv.git
 Homepage: http://www.ocaml.info/home/ocaml_sources.html#type-conv

## type-conv 2.3.0

=== debian/changelog ===
type-conv (2.3.0-1) unstable; urgency=low

  * New upstream release
  * Scan www.janestreet.com for new versions
  * Migrate to dh7

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 06 Jun 2011 19:12:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
  Stéphane Glondu <glondu@debian.org>,
  Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
- cdbs,
- debhelper (>= 7),
- ocaml-nox (>= 3.11.1-3~),
+ debhelper (>= 7.0.50~),
+ ocaml-nox (>= 3.12.0),
  ocaml-findlib (>= 1.2.5),
  camlp4,
  camlp4-extra,
@@ -16,7 +15,7 @@
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/type-conv.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/type-conv.git
-Homepage: http://www.ocaml.info/home/ocaml_sources.html#type-conv
+Homepage: http://ocaml.janestcapital.com/?q=node/13
 
 Package: libtype-conv-camlp4-dev
 Architecture: any

=== debian/watch ===
version=3
http://ocaml.janestcapital.com/?q=node/13 \
	http://www.janestreet.com/ocaml/type-conv-(.*)\.tar\.gz

## type-conv 3.0.4

=== debian/changelog ===
type-conv (3.0.4-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch to follow ocamlcore.org
  * Bump dependency to ocaml-nox to 3.12.1 (uses module quotations)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Nov 2011 07:10:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sylvain Le Gall <gildor@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
- ocaml-nox (>= 3.12.0),
+ ocaml-nox (>= 3.12.1),
  ocaml-findlib (>= 1.2.5),
  camlp4,
  camlp4-extra,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/libtype-conv-camlp4-dev
OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' 

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=252 .*/type-conv-(.*)\.tar\.gz
# Upstream mercurial repository:
#   http://hg.ocamlcore.org/cgi-bin/hgwebdir.cgi/type-conv/

## type-conv 3.0.5

=== debian/changelog ===
type-conv (3.0.5-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release
  * Update debian/watch
  * Update homepage location
  * Switch copyright file to format 1.0
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.4
  * Put canonical URLs in Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jun 2013 11:21:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>,
- Sylvain Le Gall <gildor@debian.org>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  ocaml-nox (>= 3.12.1),
  ocaml-findlib (>= 1.2.5),
  camlp4,
  camlp4-extra,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/type-conv.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/type-conv.git
-Homepage: http://ocaml.janestcapital.com/?q=node/13
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/type-conv.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/type-conv.git
+Homepage: https://forge.ocamlcore.org/projects/type-conv
 
 Package: libtype-conv-camlp4-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp
OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=252 .*/type_conv-(.*)\.tar\.gz
# Upstream mercurial repository:
#   http://hg.ocamlcore.org/cgi-bin/hgwebdir.cgi/type-conv/

## type-conv 109.28.00

=== debian/changelog ===
type-conv (109.28.00-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 20:06:51 +0100

type-conv (109.28.00-1) experimental; urgency=low

  * New upstream release
    - update debian/watch to use Jane Street

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jun 2013 17:15:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 3.12.1),
- ocaml-findlib (>= 1.2.5),
+ ocaml-nox (>= 4.00.0),
+ ocaml-findlib (>= 1.3.2),
  camlp4,
  camlp4-extra,
  dh-ocaml (>= 0.9)

=== debian/watch ===
version=3
https://ocaml.janestreet.com/ocaml-core/latest/individual/ type_conv-(.*)\.tar\.gz

## type-conv 111.13.00

=== debian/changelog ===
type-conv (111.13.00-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 15:15:25 -0600

type-conv (111.13.00-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Upload to unstable.

 -- Hilko Bengen <bengen@debian.org>  Wed, 24 Sep 2014 21:07:30 +0200

type-conv (111.13.00-1~exp1) experimental; urgency=medium

  [ Lifeng Sun ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5.

  [ Hilko Bengen ]
  * Upload to experimental

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Sep 2014 23:16:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stéphane Glondu <glondu@debian.org>
+ Stéphane Glondu <glondu@debian.org>,
+ Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper (>= 9),
  ocaml-nox (>= 4.00.0),
@@ -11,7 +12,7 @@
  camlp4,
  camlp4-extra,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/type-conv.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/type-conv.git
 Homepage: https://forge.ocamlcore.org/projects/type-conv

## type-conv 113.00.02

=== debian/changelog ===
type-conv (113.00.02-2build3) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:35:29 +0000

type-conv (113.00.02-2build2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 09:56:32 +0200

type-conv (113.00.02-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:32:19 +0200

type-conv (113.00.02-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 12:14:52 +0200

type-conv (113.00.02-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Fri, 01 Jan 2016 20:21:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: type-conv
 Section: ocaml
 Priority: extra
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Hilko Bengen <bengen@debian.org>
@@ -11,8 +12,9 @@
  ocaml-findlib (>= 1.3.2),
  camlp4,
  camlp4-extra,
+ ocamlbuild,
  dh-ocaml (>= 0.9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/type-conv.git
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/type-conv.git
 Homepage: https://forge.ocamlcore.org/projects/type-conv

=== debian/rules ===
--- 
+++ 
@@ -33,4 +33,4 @@
 
 .PHONY: override_dh_install
 override_dh_install:
-	dh_install --fail-missing
+	dh_install --fail-missing -Xusr/share/doc/type_conv/
